{ config
, pkgs
, inputs
, ...
}:
let
  wallpaper = inputs.nix-wallpaper.packages.${pkgs.system}.default.override {
    logoSize = 24;
    preset = "gruvbox-dark-rainbow";
  };
  wallpaperPath = "${wallpaper}/share/wallpapers/nixos-wallpaper.png";
in
{
  programs.mpv = {
    enable = true;
    package = pkgs.unstable-pkgs.mpv;
  };

  home = {
    file.".background".source = wallpaperPath;

    packages = with pkgs; [
      bitwarden
      unstable-os.airshipper
      unstable-os.ardour
      # blender
      unstable-pkgs.brave
      unstable-os.cavalier
      unstable-os.freetube
      unstable-os.filelight
      unstable-os.element-desktop
      unstable-os.inkscape
      unstable-os.jellyfin-media-player
      # unstable-os.miraclecast
      unstable-os.kate
      unstable-os.kdenlive
      unstable-os.krita
      unstable-os.libsForQt5.kdeconnect-kde
      unstable-os.libsForQt5.plasma-vault
      unstable-os.libsForQt5.plasma-browser-integration
      unstable-os.nextcloud-client
      unstable-os.onlyoffice-bin
      unstable-os.protonup-qt
      unstable-os.rustdesk
      unstable-os.signal-desktop
      unstable-os.tutanota-desktop
      unstable-pkgs.thunderbird
      unstable-pkgs.webcord-vencord
    ];
  };
}
