{ config
, lib
, pkgs
, ...
}: {
  programs.steam = {
    enable = true;
    package = pkgs.unstable-os.steam.override {
      extraPkgs = pkgs:
        with pkgs.unstable-os; [
          xorg.libXcursor
          xorg.libXi
          xorg.libXinerama
          xorg.libXScrnSaver
          libpng
          libpulseaudio
          libvorbis
          stdenv.cc.cc.lib
          libkrb5
          keyutils
        ];
    };

    remotePlay.openFirewall = true;
    dedicatedServer.openFirewall = true;
  };
  programs.xwayland.enable = true;

  chaotic.steam.extraCompatPackages = with pkgs; [
    proton-ge-custom
  ];

  environment.systemPackages = with pkgs.unstable-os; [
    gamescope
  ];
}
