{ config
, lib
, pkgs
, ...
}: {
  networking = {
    networkmanager.enable = true;
    useDHCP = lib.mkDefault true;
    nameservers = [
      "23.88.68.113#dns.vlt81.de"
      "2a01:4f8:272:5917::baad:c0de#dns.vlt81.de"
      "45.90.28.0#921984.dns.nextdns.io"
      "45.90.30.0#921984.dns.nextdns.io"
      "2a07:a8c0::#921984.dns.nextdns.io"
      "2a07:a8c1::#921984.dns.nextdns.io"
      # "100.64.0.8#dns.vlt81.de"
    ];
  };

  # security.wrappers.keybase-redirector = {
  # setuid = true;
  # owner = "root";
  # group = "root";
  # source = "${pkgs.kbfs}/bin/redirector";
  # };

  environment.systemPackages = with pkgs; [
    keybase-gui
  ];
  services = {
    keybase.enable = true;
    kbfs.enable = true;
    # kbfs.enableRedirector = true;
    resolved = {
      enable = true;
      dnssec = "true";
      domains = [ "~." ];
      fallbackDns = [
        "1.1.1.1#one.one.one.one"
        "1.0.0.1#one.one.one.one"
      ];
      extraConfig = ''
        DNSOverTLS=yes
      '';
    };

    netclient = {
      enable = true;
      package = pkgs.unstable-os.netclient;
    };

    tailscale = {
      enable = true;
      useRoutingFeatures = "both";
    };

    mozillavpn = {
      enable = true;
    };
  };
}
