{ pkgs
, config
, inputs
, system
, lib
, ...
}: {
  users.users.tester = {
    isNormalUser = true;
    description = "Testa Test";
    extraGroups = [ "audio" "corectrl" "docker" "networkmanager" "i2c" "wheel" "libvirtd" "qemu-libvirtd" "input" ];
    shell = pkgs.unstable-os.fish;
    home = "/home/tester";
    hashedPassword = "$6$YJT50/Za3FSFQuNT$0orD1URwoURoRKO9sIAsUiIHxOtEOjmPXn5Mp7vAmIYlgVmI629qS7YPUInmztEtEorRpkSMbV3.fCy9NQhKX.";
  };
  users.users.tristand = {
    isNormalUser = true;
    description = "Tristan Druyen";
    extraGroups = [ "audio" "corectrl" "docker" "networkmanager" "i2c" "wheel" "libvirtd" "qemu-libvirtd" "input" ];
    shell = pkgs.unstable-os.fish;
    home = "/home/tristand";
    hashedPassword = "$6$Wj.XY8JgH5EWuog4$HnbtPJXDEqKXFrzkPVEjih3PytcpBCrkfL7TAwkXd0IFced7kGMlZNliNsAqQ3XqfyUzAYiiKTIqoPVJEk.s..";
  };

  home-manager = {
    useUserPackages = true;
    useGlobalPkgs = true;
    users.tester = import ./admin-thin.nix {
      username = "tester";

      inherit pkgs;
      inherit config;
      inherit inputs;
      inherit system;
      inherit lib;
    };
    users.tristand = import ./admin-fat.nix {
      username = "tristand";

      inherit pkgs;
      inherit config;
      inherit inputs;
      inherit system;
      inherit lib;
    };
  };
}
